Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.schema
Class AllCompositor

    java.lang.Object
      com.saxonica.schema.SchemaStructure
          com.saxonica.schema.AbstractParticle
              com.saxonica.schema.Compositor
                  com.saxonica.schema.AllCompositor

All Implemented Interfaces:
  Particle, SchemaComponent, java.io.Serializable, javax.xml.transform.SourceLocator, Term, UserSchemaComponent

public class AllCompositor
extends Compositor

An AllCompositor represents an xs:all element in the schema

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.saxonica.schema.Compositor
`contentModel`

Fields inherited from class com.saxonica.schema.AbstractParticle
`UNBOUNDED`

Fields inherited from interface net.sf.saxon.type.SchemaComponent
`FIXED_UP, INCOMPLETE, INVALID, UNVALIDATED, VALIDATED, VALIDATING`

Constructor Summary
`AllCompositor()`

Method Summary
`protected boolean` | `checkElements(IntHashMap map, PreparedSchema schema)` Check that the elements defined as particles in this compositor are consistent (overrides method on parent class Compositor)
`boolean` | `isEmptiable()` Determine if empty content is allowed

Methods inherited from class com.saxonica.schema.Compositor
`addParticle, compile, containsAll, fixup, getElementParticleCardinality, getElementParticleType, getTerm, isEmpty, iterateParticles, lookForCycles, rewrite, validate`

Methods inherited from class com.saxonica.schema.AbstractParticle
`getMaxOccurs, getMinOccurs, setMaxOccurs, setMinOccurs`

Methods inherited from class com.saxonica.schema.SchemaStructure
`getColumnNumber, getFixupStatus, getLineNumber, getPublicId, getSchema, getSystemId, getValidationStatus, setFixupStatus, setLineNumber, setLocator, setSchema, setSystemId, setValidationStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.saxon.type.SchemaComponent
`getValidationStatus`

Constructor Detail

### AllCompositor

    public AllCompositor()

Method Detail

### isEmptiable

    public boolean isEmptiable()
                        throws UnresolvedReferenceException

  Determine if empty content is allowed

  Returns:
    true if this content model permits empty content
  Throws:
    `UnresolvedReferenceException`

### checkElements

    protected boolean checkElements(IntHashMap map,
                                    PreparedSchema schema)
                             throws SchemaException,
                                    UnresolvedReferenceException

  Check that the elements defined as particles in this compositor are consistent (overrides method on parent class Compositor)

  Overrides:
    `checkElements` in class `Compositor`
  Parameters:
    `map` - a HashMap that maps integers to ElementDecl's
  Throws:
    `SchemaException`
    `UnresolvedReferenceException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD